Deployments.ai Docs
Managed Skills

Show a managed skill installation

GET /v1/managed-skill-installations/{id} · SDK getManagedSkillInstallation · CLI deployments managed-skill-installation show

GET
/v1/managed-skill-installations/{id}

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ManagedSkillInstallationResponse

application/json
  1. response
agentDefinitionId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
environmentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
installedByPrincipalId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
managedSkillId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
managedSkillReleaseId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
projectId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
status*string
Value in"active""removed""superseded"
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range0 <= value
curl -X GET "https://example.com/v1/managed-skill-installations/string" \  -H "x-deployments-environment: string"
{  "agentDefinitionId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "environmentId": "string",  "id": "string",  "installedByPrincipalId": "string",  "managedSkillId": "string",  "managedSkillReleaseId": "string",  "organizationId": "string",  "projectId": "string",  "status": "active",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 0}